Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 601318 - sys-apps/ipmicfg-1.27.1.170901 for Supermicro IPMI devices
Summary: sys-apps/ipmicfg-1.27.1.170901 for Supermicro IPMI devices
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-30 23:03 UTC by Conrad Kostecki
Modified: 2018-03-25 08:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ipmicfg-1.25.0.ebuild (ipmicfg-1.25.0.ebuild,1.09 KB, text/plain)
2016-11-30 23:04 UTC, Conrad Kostecki
Details
ipmicfg-1.25.0.ebuild (ipmicfg-1.25.0.ebuild,1.03 KB, text/plain)
2016-12-01 19:22 UTC, Conrad Kostecki
Details
ipmicfg-1.25.0.160715.ebuild (ipmicfg-1.25.0.160715.ebuild,1.13 KB, text/plain)
2016-12-01 19:39 UTC, Conrad Kostecki
Details
ipmicfg-1.26.0.20161227.ebuild (ipmicfg-1.26.0.20161227.ebuild,1.12 KB, text/plain)
2017-03-18 23:34 UTC, Conrad Kostecki
Details
ipmicfg-1.27.1.170901.ebuild (ipmicfg-1.27.1.170901.ebuild,1.13 KB, text/plain)
2017-11-25 13:50 UTC, Conrad Kostecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2016-11-30 23:03:46 UTC
IPMICFG is an in-band utility for configuring Supermicro IPMI devices
Comment 1 Conrad Kostecki gentoo-dev 2016-11-30 23:04:06 UTC
Created attachment 454808 [details]
ipmicfg-1.25.0.ebuild
Comment 2 Conrad Kostecki gentoo-dev 2016-12-01 19:22:53 UTC
Created attachment 454842 [details]
ipmicfg-1.25.0.ebuild
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2016-12-01 19:29:16 UTC
Why not putting the MYDATE value into the ebuild name like I did with 

app-emulation/virtualbox-bin
app-emulation/virtualbox-extpack-oracle

?
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2016-12-01 19:30:12 UTC
Granted that in my given examples, it's not a date but some build ID but I suppose you figure what I mean.
Comment 5 Conrad Kostecki gentoo-dev 2016-12-01 19:39:27 UTC
Created attachment 454844 [details]
ipmicfg-1.25.0.160715.ebuild

(In reply to Lars Wendler (Polynomial-C) from comment #4)
> Granted that in my given examples, it's not a date but some build ID but I
> suppose you figure what I mean.

I see, thanks for the hint :) I wasn't aware, that this is possible.
That makes much more sense with date within the version number.
Comment 6 Conrad Kostecki gentoo-dev 2017-03-18 23:34:44 UTC
Created attachment 467482 [details]
ipmicfg-1.26.0.20161227.ebuild

Updated to 1.26
Comment 7 Conrad Kostecki gentoo-dev 2017-11-25 13:50:21 UTC
Created attachment 506568 [details]
ipmicfg-1.27.1.170901.ebuild
Comment 8 Larry the Git Cow gentoo-dev 2018-03-25 08:09:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31b9f87dbb03f46a9ccb9d16c41436b3560c9b0e

commit 31b9f87dbb03f46a9ccb9d16c41436b3560c9b0e
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-25 00:39:29 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-25 08:09:35 +0000

    sys-apps/ipmicfg: New package
    
    Closes: https://bugs.gentoo.org/601318
    Closes: https://github.com/gentoo/gentoo/pull/7304

 sys-apps/ipmicfg/Manifest                     |  1 +
 sys-apps/ipmicfg/ipmicfg-1.27.1.170901.ebuild | 60 +++++++++++++++++++++++++++
 sys-apps/ipmicfg/metadata.xml                 | 12 ++++++
 3 files changed, 73 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b2de66af6f08602d0768d43b07c12091f54727a

commit 6b2de66af6f08602d0768d43b07c12091f54727a
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-24 15:25:40 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-25 08:09:35 +0000

    profiles/license_groups: add supermicro license to EULA group
    
    Bug: https://bugs.gentoo.org/601318

 profiles/license_groups | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ff2efdaee6e9641756573d6b6b39ce941a460c4

commit 8ff2efdaee6e9641756573d6b6b39ce941a460c4
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-24 15:23:25 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-25 08:09:34 +0000

    licenses/supermicro: add license for sys-apps/ipmicfg
    
    Bug: https://bugs.gentoo.org/601318

 licenses/supermicro | 127 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 127 insertions(+)}